commit:     48f7d5839f045d1e7504c5c10c8706c4c2526bed
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 20 21:20:53 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sun Mar 20 21:26:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48f7d583

dev-python/botocore: add version 1.4.5

Package-Manager: portage-2.2.28

 dev-python/botocore/Manifest              |  1 +
 dev-python/botocore/botocore-1.4.5.ebuild | 54 +++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 7d848a4..a793dd6 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.2.10.tar.gz 2202147 SHA256 
8541895aa2abe2183fa15efe33794db7428fe
 DIST botocore-1.3.14.tar.gz 2289202 SHA256 
44904496f26370f47469327e5df10e439aa07aaf1c0516c7c67352337eeeb729 SHA512 
7cf1a342271b02842c5d989fa4ac2bb02074f8ff18dda70c751857f44b83e2ce02c904f0484a05f274bcb9459bf580e0456b72554e87509b2f2529170a239362
 WHIRLPOOL 
efa0d700bdd7e9803be63fc3a54fffb4234356769b1dea69bf93c974deb9a3a3438d88de004dce6a0c83390042fb8f2b822d9204f6727eceb5aee657c22c6a98
 DIST botocore-1.3.20.tar.gz 2326244 SHA256 
9760d883611110a05f5f8346c7b2198aef87be9117d4cbe1e4ee6608a560c4a2 SHA512 
bd8d80598631610da4f05c8cc735affef31c726dc30512e358950e967efefbe63455bc63dccbb180f059a3f9da6c0004edfafc9bf99198732708c1ef141f0b06
 WHIRLPOOL 
18ba18fa6d62b10d7547f58bf6e8d26cab8564f4e8a229dd6f939db6b4f4d05edda4a239811067443d14edcfe2b293acdb449fc809f551f99b4ff37e4fb70fbd
 DIST botocore-1.3.22.tar.gz 2349601 SHA256 
02a6d320b09179bc5dcbafd4be732d9431bfebf5bed6d6b6508eca96b599a399 SHA512 
7b349a78c83051a29993ce00a11ecfa4734425c3ed27ce3e405140e19017b5c670d857ea489ea1f6f3ec767b3e4704547565b2ec67f5d7001a0cc30ff2a39de7
 WHIRLPOOL 
98c5e7488c6d1fe5c3e3484c770f8b346508359c5d174e5660f10ea62b054f442e3d15cc716ddd5acc42f1af0a10463c1923de138338175f1dcba9ced283c8ee
+DIST botocore-1.4.5.tar.gz 2415867 SHA256 
d83d6623d9eba2d2e2474c35b6180809d3f4c36321006a49a8d1dd6f652a93c3 SHA512 
275d9a44128137e387955a374af53227262c3faa6327bd93f58c7884666a05b44b90a9e8a06bdcfacd656a30a3694d337a09fc22ea623d7519a6f15ff047f705
 WHIRLPOOL 
3ad0898b872bd0f99293e36bffffe3e514da608c480eb068d9e098fa76ff68897088865249d143b82df021c71b00a63305bf017703cedd52a2665864487d6c2d

diff --git a/dev-python/botocore/botocore-1.4.5.ebuild 
b/dev-python/botocore/botocore-1.4.5.ebuild
new file mode 100644
index 0000000..f3ea5ec
--- /dev/null
+++ b/dev-python/botocore/botocore-1.4.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+       >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+       <dev-python/python-dateutil-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+               <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               ~dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to